> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getConversation

> Retrieves the [Conversation](#schema_conversation) object for a valid identifier.



## OpenAPI

````yaml /runtime-openapi.json get /v1/chat/conversations/{id}
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/conversations/{id}:
    get:
      tags:
        - Endpoints
      description: >-
        Retrieves the [Conversation](#schema_conversation) object for a valid
        identifier.
      operationId: getConversation
      parameters:
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
        - name: x-bp-authenticated-principal
          in: header
          description: Authenticated principal. Injected by the authentication middleware.
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-real-ip
          in: header
          description: Caller's IP address. Injected by the edge proxy.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/getConversationResponse'
        default:
          $ref: '#/components/responses/getConversationResponse'
components:
  responses:
    getConversationResponse:
      description: >-
        Returns a [Conversation](#schema_conversation) object if a valid
        identifier was provided. Returns [an error](#errors) otherwise
      content:
        application/json:
          schema:
            type: object
            properties:
              conversation:
                $ref: '#/components/schemas/Conversation'
            required:
              - conversation
            title: getConversationResponse
            additionalProperties: false
  schemas:
    Conversation:
      type: object
      properties:
        id:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the [Conversation](#schema_conversation)
        currentTaskId:
          type: string
          minLength: 28
          maxLength: 36
          deprecated: true
          description: Unused. This field will be removed in the future.
        createdAt:
          type: string
          format: date-time
          description: >-
            Creation date of the [Conversation](#schema_conversation) in ISO
            8601 format
        updatedAt:
          type: string
          format: date-time
          description: >-
            Updating date of the [Conversation](#schema_conversation) in ISO
            8601 format
        channel:
          type: string
          description: >-
            Name of the channel where the [Conversation](#schema_conversation)
            is happening
        integration:
          type: string
          description: >-
            Name of the integration that created the
            [Conversation](#schema_conversation)
        tags:
          type: object
          additionalProperties:
            type: string
          description: >-
            Set of [Tags](/docs/developers/concepts/tags) that you can attach to
            a [Conversation](#schema_conversation). The set of
            [Tags](/docs/developers/concepts/tags) available on a
            [Conversation](#schema_conversation) is restricted by the list of
            [Tags](/docs/developers/concepts/tags) defined previously by the
            [Bot](#schema_bot). Individual keys can be unset by posting an empty
            value to them.
        messageCount:
          type: number
          description: Number of messages in the conversation
        properties:
          type: object
          additionalProperties:
            type: string
            maxLength: 200
          description: >-
            **EXPERIMENTAL** - Optional shared properties that can be accessed
            and modified by both the bot and any of its integrations.
      required:
        - id
        - createdAt
        - updatedAt
        - channel
        - integration
        - tags
        - messageCount
      description: >-
        The [Conversation](#schema_conversation) object represents an exchange
        of messages between one or more users. A
        [Conversation](#schema_conversation) is always linked to an
        integration's channels. For example, a Slack channel represents a
        conversation.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````